/**
 * 
 * All content copyright (c) 2003-2008 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package org.terracotta.sample.spider;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import au.id.jericho.lib.html.Source;

public class SimplePageCache implements PageCache {

	private final Map<String, Source>	cache	= new ConcurrentHashMap<String, Source>();

	public Source getPage(String url) {
		return cache.get(url);
	}

	public boolean hasPage(String url) {
		return cache.containsKey(url);
	}

	public Source setPage(String url, Source page) {
		cache.put(url, page);
		return page;
	}

}