/**
 * 
 * All content copyright (c) 2003-2008 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package org.terracotta.message.channel;

import org.terracotta.message.pipe.Pipe;

/**
 * A channel is a two way pipe for communication. 
 * <p>
 * It provides a mechanism to have two differentiated pipes, one for "sending"
 * and one for "receiving". 
 * 
 * @param <T>
 */
public interface Channel<T, ID> {
	
    public static interface Factory<T, ID> {        
        Channel<T, ID> create(ID routingID);
    }
 
    public ID getRoutingID();
    
    public Pipe<T> getSendPipe();

	public Pipe<T> getReceivePipe();
		
	public void clear();
}
