/**
 * 
 * All content copyright (c) 2003-2008 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package org.terracotta.message.pipe;

import java.util.concurrent.TimeUnit;

/**
 * Represents a one-way communication channel. Abstract notion of putting
 * objects and receiving them (take or poll)
 * 
 * @param <T>
 */
public interface Pipe<T> {
	public static interface Factory<T> {
		public Pipe<T> create();
	}

	T peek();
	
	T poll(long timeout, TimeUnit unit) throws InterruptedException;

	T put(T item) throws InterruptedException;

	T take() throws InterruptedException;

	int size();
	
	void clear();

}
