package org.terracotta.workmanager;

import org.terracotta.message.channel.Channel;
import org.terracotta.message.channel.ChannelManager;
import org.terracotta.message.channel.DefaultChannel;
import org.terracotta.message.pipe.BlockingQueueBasedPipe;
import org.terracotta.message.topology.TopologyManager;

public class DefaultTopologyManager extends TopologyManager<RoutableWorkItem<String>, String>
{
    private static DefaultTopologyManager instance = new DefaultTopologyManager();
    public static DefaultTopologyManager getInstance() { return instance; }
    private DefaultTopologyManager() { }
    
    public static final int DEFAULT_QUEUE_SIZE = 100;
    
    @Override
    protected ChannelManager<RoutableWorkItem<String>, String> createChannelManager()
    {   
        Channel.Factory<RoutableWorkItem<String>, String> factory =  
            new DefaultChannel.Factory<RoutableWorkItem<String>, String>(
                new BlockingQueueBasedPipe.Factory<RoutableWorkItem<String>>(DEFAULT_QUEUE_SIZE));
        return new ChannelManager<RoutableWorkItem<String>, String>(factory);
    }
}
