/*
 * Copyright (c) 2006-2007 Terracotta, Inc. All rights reserved.
 */
/**
 * 
 * All content copyright (c) 2003-2008 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
/**
 * 
 * All content copyright (c) 2003-2008 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package org.terracotta.workmanager.dynamic;

import org.terracotta.jmx.events.ClusterEvents;
import org.terracotta.message.topology.TopologyManager;
import org.terracotta.workmanager.AbstractWorker;

import commonj.work.WorkException;

/**
 * Worker that has an is aware of routing. Each instance of the
 * RoutingAwareWorker class gets a routing ID from the Terracotta server and
 * gets a unique work queue mapped to this routing ID.
 */
public class DynamicWorker extends AbstractWorker {
    private ClusterEvents.DefaultListener m_eventsListener;    

	public DynamicWorker()
	{
	    this(TopologyManager.DEFAULT_TOPOLOGY);
	}
	
	public DynamicWorker(String topology) {		
		super(topology);
		
		m_eventsListener = new MyClusterEventsListener();
		ClusterEvents.registerListener(m_eventsListener);
        System.out.println("dynamic worker created for topology: "+ topology);
	}

	public void start() throws WorkException {
	    try {
	        m_eventsListener.waitForRegistration();
	    } catch (InterruptedException ie) {
	        throw new WorkException("Unexpected Interruption: ", ie);
	    }
	    
	    super.start();
	}

    private class MyClusterEventsListener extends ClusterEvents.DefaultListener {
        @Override
        public void thisNodeId(final Object nodeId) {
            m_routingID = nodeId.toString();
            super.thisNodeId(nodeId);
        }
    }
    
    public static void main(String[] args)
    {
        new DynamicWorker();
    }
}
