/**
 * 
 * All content copyright (c) 2003-2008 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package org.terracotta.workmanager.statik;

import org.terracotta.message.routing.Router;
import org.terracotta.message.topology.TopologyManager;
import org.terracotta.workmanager.AbstractWorkManager;
import org.terracotta.workmanager.RoutableWorkItem;

/**
 * A routing aware WorkerManager that uses an implementation of the Router
 * interface to do the route work to different work queues.
 */
public class StaticWorkManager extends AbstractWorkManager
{
	public StaticWorkManager(final Router<RoutableWorkItem<String>, String> router, String[] routingIDs)
	{
		super(TopologyManager.DEFAULT_TOPOLOGY, router, routingIDs);
	}
}