/**
 * 
 * All content copyright (c) 2003-2008 Terracotta, Inc.,
 * except as may otherwise be noted in a separate copyright notice.
 * All rights reserved.
 *
 */
package org.terracotta.workmanager.statik;

import org.terracotta.message.topology.TopologyManager;
import org.terracotta.workmanager.AbstractWorker;

/**
 * Worker that is aware of routing. Each instance of the
 * RoutingAwareWorker class has a routing ID and gets a unique work queue mapped
 * to this routing ID.
 */
public class StaticWorker extends AbstractWorker 
{        		
	public StaticWorker(final String routingID)
	{
	    this(TopologyManager.DEFAULT_TOPOLOGY, routingID);
	}
	
	public StaticWorker(final String topology, final String routingID)
	{
	    super(topology);
	    m_routingID = routingID;
    }
}
